Activity log for bug #1240308

Date Who What changed Old value New value Message
2013-10-16 02:47:05 su_v bug added bug
2013-10-16 09:41:13 su_v summary trunk: critical warnings when live-previewing extensions after changing default units (rev >= 12554) trunk: critical warnings when applying or previewing extensions after changing default units (rev >= 12554)
2013-10-16 09:41:13 su_v description Steps to reproduce: 1) launch current trunk (default prefs, default new doc (no localized template)) 2) open 'File > Document Properties > Page' and change default units from 'px' to 'mm' 3) open 'Extensions > Render > Gear > Gear…' 4) toggle 'Live Preview' on and off again 5) close dialog 6) inspect messages on the console Expected result: No warnings or error messages on the console Actual result: Several warnings on the console each time the preview is toggled (or the dialog is closed), one of them 'Critical'. rev 12692: ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed Confirmed with r12678, r12691 on Ubuntu 13.04 (VM, 64bit) (inkscape-trunk PPA), and with r12692 on OS X 10.7.5. Based on tests with archived builds (on OS X 10.7.5): - not reproduced with rev <= 12553 - reproduced with rev >= 12554 these warnings originate from the merge of the GSoC unit-improvement branch in rev 12554: <http://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/revision/12554> Steps to reproduce: 1) launch current trunk (default prefs, default new doc (no localized template)) 2) open 'File > Document Properties > Page' and change default units from 'px' to 'mm' 3) open 'Extensions > Render > Gear > Gear…' 4) toggle 'Live Preview' on and off again 5) close dialog 6) inspect messages on the console Variation: 1) launch current trunk (default prefs, default new doc (no localized template)) 2) open 'File > Document Properties > Page' and change default units from 'px' to 'mm' 3) open 'Extensions > Render > Gear > Gear…' 4) click on 'Apply' 6) inspect messages on the console Expected result: No warnings or error messages on the console Actual result: Several warnings on the console each time the preview is toggled (or the extension effect applied), one of them 'Critical'. rev 12692 (toggle live-preview): ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): WARNING **: Incompatible units ** (inkscape:34951): CRITICAL **: Gtk::TreeIter Inkscape::UI::Widget::PageSizer::find_paper_size(Inkscape::Util::Quantity, Inkscape::Util::Quantity) const: assertion `smaller <= larger' failed Confirmed with r12678, r12691 on Ubuntu 13.04 (VM, 64bit) (inkscape-trunk PPA), and with r12692 on OS X 10.7.5. Based on tests with archived builds (on OS X 10.7.5): - not reproduced with rev <= 12553 - reproduced with rev >= 12554 these warnings originate from the merge of the GSoC unit-improvement branch in rev 12554: <http://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/revision/12554>
2013-10-16 12:00:26 su_v summary trunk: critical warnings when applying or previewing extensions after changing default units (rev >= 12554) trunk: critical warnings when applying or previewing extensions after opening document properties dialog (rev >= 12554)
2013-10-16 12:02:27 jazzynico inkscape: status New Triaged
2013-10-17 17:18:18 su_v inkscape: importance Undecided Medium
2014-02-24 00:49:13 Launchpad Janitor branch linked lp:inkscape
2014-11-06 06:40:55 su_v inkscape: milestone 0.91 0.92
2016-10-04 22:40:06 Carlos Pita bug added subscriber Carlos Pita